%define anolis_release 2
Summary: Utilities for managing processes on your system
Name: psmisc
Version: 23.4
Release: %{anolis_release}%{?dist}
License: GPLv2+
URL: https://gitlab.com/psmisc/psmisc

Source: https://sourceforge.net/projects/%{name}/files/%{name}/%{name}-%{version}.tar.xz


BuildRequires: make
BuildRequires: libselinux-devel
BuildRequires: gettext
BuildRequires: ncurses-devel
BuildRequires: autoconf automake
BuildRequires: gcc
BuildRequires: git


%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall, fuser and pslog.  The pstree command displays
a tree structure of all of the running processes on your system.  The
killall command sends a specified signal (SIGTERM if nothing is specified)
to processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems. The pslog
command shows the path of log files owned by a given process.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -S git

%build
%configure --prefix=%{_prefix} --enable-selinux
make %{?_smp_mflags}


%install
make install DESTDIR="$RPM_BUILD_ROOT"

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/fuser $RPM_BUILD_ROOT%{_sbindir}

%find_lang %name --all-name --with-man


%files -f %{name}.lang
%{_sbindir}/fuser
%{_bindir}/killall
%{_bindir}/pstree
%{_bindir}/pstree.x11
%{_bindir}/prtstat
%{_bindir}/pslog
%{_mandir}/man1/fuser.1*
%{_mandir}/man1/killall.1*
%{_mandir}/man1/pstree.1*
%{_mandir}/man1/prtstat.1*
%{_mandir}/man1/pslog.1*
%{_bindir}/peekfd
%{_mandir}/man1/peekfd.1*
%license COPYING

%files doc
%doc AUTHORS ChangeLog README

%changelog
* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 23.4-2
- add doc package

* Fri Mar 11 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 23.4-1
* Init from upstream version 23.4

